/*
 * Copyright (c) 2021 the original author, All Rights Reserved.
 * Created by Deason on 2021-04-28 22:23:25
 */

package cn.com.qmth.framework.config.center.client.core;

public interface ConfigConstants {

    String SPRING_PROFILES_ACTIVE = "spring.profiles.active";

    String CONFIG_CENTER_ENABLED = "sys.config.center.enabled";

    String CONFIG_CENTER_ADDRESS = "sys.config.center.address";

    String CONFIG_CENTER_NAMESPACE = "sys.config.center.namespace";

    String CONFIG_CENTER_APP_CODE = "sys.config.center.appCode";

    String CONFIG_CENTER_SECRET_KEY = "sys.config.center.secretKey";

    String SECRET_PROPERTY_PREFIX = "$secret.";

    String CUSTOM_PROPERTY_SOURCE = "configCenterProperties";

    String DEFAULT_PROPERTIES = "application.properties";

}
