/*
 * Copyright (c) 2021 the original author, All Rights Reserved.
 * Created by Deason on 2021-04-28 22:23:25
 */

package cn.com.qmth.framework.config.center.client.core;

import org.springframework.core.env.MapPropertySource;

import java.util.Map;

/**
 * @author: Deason
 * @since: 2021/4/21
 */
public class CustomMapPropertySource extends MapPropertySource {

    public CustomMapPropertySource(String name, Map<String, Object> source) {
        super(name, source);
    }

    @Override
    public Object getProperty(String name) {
        return this.source.get(name);
    }

}